<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: vu_tab_panel.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INFUSIONS."vu_tab_panel/includes/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."vu_tab_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."vu_tab_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."vu_tab_panel/locale/English.php";
}

add_to_head("<link rel='stylesheet' href='".INFUSIONS."vu_tab_panel/includes/tab-styles.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."vu_tab_panel/includes/tab-js.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."vu_tab_panel/includes/jquery.scrollTo-1.3.3-min.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."vu_tab_panel/includes/jquery.localscroll-1.2.6-min.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."vu_tab_panel/includes/jquery.serialScroll-1.2.1-min.js'></script>");

opentable("Site Info");

echo "<div id='slider'>\n";
echo "<ul class='navigation'>\n";
$tab_result_1 = dbquery("SELECT * FROM ".DB_TAB_PANEL." WHERE ".groupaccess("tab_access")." ORDER BY tab_id ASC");
while ($data = dbarray($tab_result_1)) {
	echo "<li><a href='#tab_".$data['tab_id']."'>".($data['tab_image'] ? "<img src='".INFUSIONS."vu_tab_panel/includes/images/".$data['tab_image']."' alt='".$data['tab_name']."' border='0' /> " : "").$data['tab_name']."</a></li>\n";
}
echo "</ul>\n";

echo "<div class='scroll'>\n";
echo "<div class='scrollContainer'>\n";
$tab_result_2 = dbquery("SELECT * FROM ".DB_TAB_PANEL." WHERE ".groupaccess("tab_access")." ORDER BY tab_id ASC");
while ($data = dbarray($tab_result_2)) {	
	echo "<div class='panel' id='tab_".$data['tab_id']."'>\n";
	if (!empty($data['tab_file'])) {
		if (file_exists(BASEDIR.$data['tab_file'])) {
			echo "<div>\n";
			@include(BASEDIR.$data['tab_file']);
			echo "</div>\n";
		} else {
			echo "<div class='scrollPadding'>\n";
			echo $locale['tab001'];
			echo "</div>\n";
		}	
	} elseif (!empty($data['tab_content'])) {
		echo "<div class='scrollPadding'>\n";
		echo nl2br(parseubb($data['tab_content']));
		echo "</div>\n";
	} else {
		echo "<div class='scrollPadding'>\n";
		echo $locale['tab001'];
		echo "</div>\n";
	}
	echo "</div>\n";
}
echo "</div>\n";
echo "</div>\n";

echo "</div>\n";

closetable();
?>